# Poco

# class DataURIStream

Library: Foundation
Package: Streams
Header: Poco/DataURIStream.h

## Description

An input stream for reading data from a data URI. For example, when constructed from "data:text/plain;base64,SGVsbG8sIFdvcmxkIQ%3D%3D" it reads "Hello, World!".

## Inheritance

Direct Base Classes: DataURIStreamIOS, std::istream

All Base Classes: DataURIStreamIOS, std::ios, std::istream

## Member Summary

Inherited Functions: rdbuf

## Constructors

### DataURIStream

DataURIStream(
const URI & uri
);

Creates a DataURIStream for the given data URI, ready for reading data. Throws a DataFormatException exception if the data is incorrect format.

## Destructor

### ~DataURIStream

~DataURIStream();

Destroys the DataURIStream.